cURL
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lists": [
{
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"listPermissions": {
"teamsWithEditAccess": [
123
],
"usersWithEditAccess": [
123
]
},
"membershipSettings": {
"includeUnassigned": true,
"membershipTeamId": 123
},
"size": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lists
Retrieve lists
GET
/
crm
/
v3
/
lists
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
The response object containing the lists found for a multi-list fetch.
The object list definitions.
Show child attributes
Show child attributes
Last modified on April 16, 2026
Was this page helpful?
⌘I